org.apache.xmlgraphics.image.loader.impl

## Class ImageConverterRendered2PNG

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter
  - - org.apache.xmlgraphics.image.loader.impl.ImageConverterRendered2PNG

- All Implemented Interfaces:
    ImageConverter

      public class ImageConverterRendered2PNG
      extends AbstractImageConverter

  This ImageConverter converts Rendered to PNG images.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageConverter

      `MEDIUM_CONVERSION_PENALTY, MINIMAL_CONVERSION_PENALTY, NO_CONVERSION_PENALTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageConverterRendered2PNG()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Image` | `convert(Image src, java.util.Map<java.lang.String,java.lang.Object> hints)` Converts an image into a different representation.
    `ImageFlavor` | `getSourceFlavor()` Returns the flavor that this converter expects.
    `ImageFlavor` | `getTargetFlavor()` Returns the flavor that this converter converts images into.

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter

      `checkSourceFlavor, getConversionPenalty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageConverterRendered2PNG

          public ImageConverterRendered2PNG()

  - ### Method Detail

    - #### convert

          public Image convert(Image src,
                               java.util.Map<java.lang.String,java.lang.Object> hints)
                        throws ImageException,
                               java.io.IOException

      Converts an image into a different representation.

      Consumers can get the effective MIME type (if any) from the associated `ImageFlavor`.

      Parameters:
        `src` - the source image
        `hints` - the conversion hints
      Returns:
        the converted image
      Throws:
        `ImageException` - if an error occurs while converting the image
        `java.io.IOException` - if an I/O error occurs while converting the image

    - #### getSourceFlavor

          public ImageFlavor getSourceFlavor()

      Returns the flavor that this converter expects.
      Returns:
        the source flavor

    - #### getTargetFlavor

          public ImageFlavor getTargetFlavor()

      Returns the flavor that this converter converts images into.
      Returns:
        the target flavor

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.